; <COMPULSORY> STATE_INIT is a compulsory state that must be present in the ini file.
; It is the starting state... 
[STATE_INIT]
STATE_TYPE=CStateInit
; <OPTIONAL> If set to 1, State_Init will check that the user has the Administrator
; privileges. This check is done only if running under Windows 2000 and XP (this parameter
; will be ignored on W9X OS's). If this parameter is omitted or set to 0, no check will be done.
CHECK_IS_ADMIN=1

NEXT_STATE=ACROBAT_XPVista
;===========================================================================

;===========================================================================
[ACROBAT_XPVista]
STATE_TYPE=CStateInstallSoftware
; <COMPULSORY> Name of the application (used in the error messages)
APP_NAME=Acrobat Reader

; <COMPULSORY> Name of the application subkey in the uninstall key of the application.
CHECKINSTALLED={AC76BA86-7AD7-1033-7B44-A91000000001}

RUN_ACCORDING_TO_OS=1
RUN_ON_W98=0
RUN_ON_WME=0
RUN_ON_W2K=0
RUN_ON_W2003=0
RUN_ON_WXP=1
RUN_ON_WVista=1

; <COMPULSORY> List of setup executables to launch depending on the language of the regional settings.
; If omitted, the state machine will tell the user that he should install the 
; software himself (using the CD-ROM that was provided with its device).
; If the cmd line is not found for a given language, the English cmd line
; is launched by default.

CMD_ENG=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_FRE=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_GER=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_ITA=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_SPA=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_DUT=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_CHS=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_CSY=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_DAN=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_HUN=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_NOR=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_PLK=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_PTG=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_SVE=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_RUS=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_TUR=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_CHT=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_KRN=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe
CMD_FIN=..\AcrobatReader\9\AdbeRdr910_en_US_Std.exe

; <OPTIONAL> Version of the software that needs to be installed.
; These fields are optional. If omitted, 0 is used as the default value.
VER_MAJOR = 9
VER_MINOR = 1
VER_BUILD = 0

; <OPTIONAL> Tells that the automate that it should not wait for the completion
; of this install...(If this variable is omitted then, by default completion
; is waited.) Must be set to 1 or omitted for launch that waits program completion.
WAITCOMPLETION=1

; <OPTIONAL> Size in MB of the required space for the installation on the C: drive.
; If this is omitted, no checking is performed on the free space on the C: drive.
REQUIRED_SPACE_MB=80

; <COMPULSORY> Next state to which the state machine should go if the current state
; was successful.

NEXT_STATE=ACROBAT7_2K
;===========================================================================

;===========================================================================
[ACROBAT7_2K]
STATE_TYPE=CStateInstallSoftware
; <COMPULSORY> Name of the application (used in the error messages)
APP_NAME=Acrobat Reader

; <COMPULSORY> Name of the application subkey in the uninstall key of the application.
CHECKINSTALLED={AC76BA86-7AD7-1033-7646-A70000000000}

RUN_ACCORDING_TO_OS=1
RUN_ON_W98=0
RUN_ON_WME=0
RUN_ON_W2K=1
RUN_ON_W2003=0
RUN_ON_WXP=0
RUN_ON_WVista=0

; <COMPULSORY> List of setup executables to launch depending on the language of the regional settings.
; If omitted, the state machine will tell the user that he should install the 
; software himself (using the CD-ROM that was provided with its device).
; If the cmd line is not found for a given language, the English cmd line
; is launched by default.

CMD_ENG=..\AcrobatReader\7\setup.exe
CMD_FRE=..\AcrobatReader\7\setup.exe
CMD_GER=..\AcrobatReader\7\setup.exe
CMD_ITA=..\AcrobatReader\7\setup.exe
CMD_SPA=..\AcrobatReader\7\setup.exe
CMD_DUT=..\AcrobatReader\7\setup.exe
CMD_CHS=..\AcrobatReader\7\setup.exe
CMD_CSY=..\AcrobatReader\7\setup.exe
CMD_DAN=..\AcrobatReader\7\setup.exe
CMD_HUN=..\AcrobatReader\7\setup.exe
CMD_NOR=..\AcrobatReader\7\setup.exe
CMD_PLK=..\AcrobatReader\7\setup.exe
CMD_PTG=..\AcrobatReader\7\setup.exe
CMD_SVE=..\AcrobatReader\7\setup.exe
CMD_RUS=..\AcrobatReader\7\setup.exe
CMD_TUR=..\AcrobatReader\7\setup.exe
CMD_CHT=..\AcrobatReader\7\setup.exe
CMD_KRN=..\AcrobatReader\7\setup.exe
CMD_FIN=..\AcrobatReader\7\setup.exe

; <OPTIONAL> Version of the software that needs to be installed.
; These fields are optional. If omitted, 0 is used as the default value.
VER_MAJOR = 7
VER_MINOR = 0
VER_BUILD = 0

; <OPTIONAL> Tells that the automate that it should not wait for the completion
; of this install...(If this variable is omitted then, by default completion
; is waited.) Must be set to 1 or omitted for launch that waits program completion.
WAITCOMPLETION=1

; <OPTIONAL> Size in MB of the required space for the installation on the C: drive.
; If this is omitted, no checking is performed on the free space on the C: drive.
REQUIRED_SPACE_MB=80

; <COMPULSORY> Next state to which the state machine should go if the current state
; was successful.

NEXT_STATE=QUIT_STATEMACHINE
;===========================================================================
